Bug 854265 - StateTransferManager is not exposed as JMX MBean
StateTransferManager is not exposed as JMX MBean
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 10:17 EDT by Radim Vansa
Modified: 2012-09-12 02:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 03:17:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2258 Major Resolved StateTransferManager is not exposed as JMX MBean 2012-12-10 04:56:58 EST

  None (edit)
Description Radim Vansa 2012-09-04 10:17:45 EDT
Description of problem:
StateTransferManager is not exposed as JMX MBean. It appears that the class is missing MBean annotation.

Version-Release number of selected component (if applicable):
Infinispan 5.2.0.Alpha3

How reproducible:
Start distributed cache
Comment 1 JBoss JIRA Server 2012-09-05 03:14:02 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2258

Why do you need this?
Comment 2 Radim Vansa 2012-09-05 03:17:53 EDT
As this occurs in Infinispan alpha version (not the productized one) this bug should be reported only in JIRA.
Comment 3 JBoss JIRA Server 2012-09-05 03:19:16 EDT
Radim Vansa <rvansa@redhat.com> made a comment on jira ISPN-2258

Galder: We use JMX to make sure that the cluster is set up after starting or killing some node(s).
Comment 4 JBoss JIRA Server 2012-09-05 03:28:49 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2258

I get that, but what does state transfer JMX mbean has to do with this?
Comment 5 JBoss JIRA Server 2012-09-05 04:00:04 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2258

The StateTransferManager already exposes two attributes, see:
https://github.com/infinispan/infinispan/blob/master/core/src/main/java/org/infinispan/statetransfer/StateTransferManager.java#L48

If these are not being exposed, it could be a bug in Infinispan, or a bug in the code, or tool, that is presenting the JMX data.
Comment 6 JBoss JIRA Server 2012-09-05 04:33:16 EDT
Adrian Nistor <anistor@redhat.com> made a comment on jira ISPN-2258

The @MBean used to be on the impl. (DistributedStateTransferManagerImpl and ReplicatedStateTransferManagerImpl) but these are gone. Will add it to the new impl.
Comment 7 JBoss JIRA Server 2012-09-05 04:59:18 EDT
Adrian Nistor <anistor@redhat.com> updated the status of jira ISPN-2258 to Coding In Progress
Comment 8 JBoss JIRA Server 2012-09-12 02:58:29 EDT
Dan Berindei <dberinde@redhat.com> made a comment on jira ISPN-2258

Pull request integrated.

Note You need to log in before you can comment on or make changes to this bug.